LOCAL_PATH:= $(call my-dir)

include $(CLEAR_VARS)
LOCAL_MODULE    := libmpg123
LOCAL_CFLAGS := $(LOCAL_C_INCLUDES:%=-I%) -O2 -Wall -D__ANDROID__ -DFIXED_POINT -D_ARM_ASSEM_ -D__ANDROID__ -DMPG123_NO_CONFIGURE -DOPT_GENERIC -DHAVE_STRERROR -DMPG123_NO_LARGENAME
LOCAL_CPPFLAGS := $(LOCAL_C_INCLUDES:%=-I%) -O2 -Wall -D__ANDROID__ -DFIXED_POINT -D_ARM_ASSEM_ -D__ANDROID__ -DMPG123_NO_CONFIGURE -DOPT_GENERIC -DHAVE_STRERROR -DMPG123_NO_LARGENAME
LOCAL_LDLIBS := -lm
LOCAL_ARM_MODE  := arm
 
LOCAL_SRC_FILES := \
	libmpg123/compat.c\
	libmpg123/dct64.c\
	libmpg123/equalizer.c\
	libmpg123/format.c\
	libmpg123/frame.c\
	libmpg123/icy.c\
	libmpg123/icy2utf8.c\
	libmpg123/id3.c\
	libmpg123/index.c\
	libmpg123/layer1.c\
	libmpg123/layer2.c\
	libmpg123/layer3.c\
	libmpg123/libmpg123.c\
	libmpg123/ntom.c\
	libmpg123/optimize.c\
	libmpg123/parse.c\
	libmpg123/readers.c\
	libmpg123/stringbuf.c\
	libmpg123/synth.c\
	libmpg123/synth_8bit.c\
	libmpg123/synth_arm.S\
	libmpg123/synth_real.c\
	libmpg123/synth_s32.c\
	libmpg123/tabinit.c
 
include $(BUILD_STATIC_LIBRARY)


include $(CLEAR_VARS)
LOCAL_MODULE    	:= lame

LOCAL_SRC_FILES 	:= \
./libmp3lame/bitstream.c \
./libmp3lame/encoder.c \
./libmp3lame/fft.c \
./libmp3lame/gain_analysis.c \
./libmp3lame/id3tag.c \
./libmp3lame/lame.c \
./libmp3lame/mpglib_interface.c \
./libmp3lame/newmdct.c \
./libmp3lame/presets.c \
./libmp3lame/psymodel.c \
./libmp3lame/quantize.c \
./libmp3lame/quantize_pvt.c \
./libmp3lame/reservoir.c \
./libmp3lame/set_get.c \
./libmp3lame/tables.c \
./libmp3lame/takehiro.c \
./libmp3lame/util.c \
./libmp3lame/vbrquantize.c \
./libmp3lame/VbrTag.c \
./libmp3lame/version.c

include $(BUILD_STATIC_LIBRARY)


include $(CLEAR_VARS)

LOCAL_MODULE    := libogg
LOCAL_SRC_FILES := \
	ogg/src/bitwise.c \
	ogg/src/framing.c
LOCAL_C_INCLUDES += $(LOCAL_PATH)/ogg/include
LOCAL_LDLIBS += -lm
LOCAL_ARM_MODE := arm
include $(BUILD_STATIC_LIBRARY)


include $(CLEAR_VARS)
LOCAL_SRC_FILES:= \
	libFLAC/bitmath.c \
	libFLAC/bitreader.c \
	libFLAC/cpu.c \
	libFLAC/crc.c \
	libFLAC/fixed.c \
	libFLAC/float.c \
	libFLAC/format.c \
	libFLAC/lpc.c \
	libFLAC/memory.c \
	libFLAC/stream_decoder.c \
	libFLAC/window.c \
	libFLAC/md5.c \
	libFLAC/metadata_iterators.c \
	libFLAC/metadata_object.c \
	libFLAC/ogg_decoder_aspect.c \
	libFLAC/ogg_encoder_aspect.c \
	libFLAC/ogg_helper.c \
	libFLAC/ogg_mapping.c \
	libFLAC/stream_encoder.c \
	libFLAC/stream_encoder_framing.c \
	libFLAC/bitwriter.c

LOCAL_C_INCLUDES += \
	$(LOCAL_PATH)/libFLAC/include \
	$(LOCAL_PATH)/libFLAC/.. \
	$(LOCAL_PATH)/flac/include \
	$(LOCAL_PATH)/ogg/include

LOCAL_CFLAGS += -DHAVE_LROUND -DFLAC__INTEGER_ONLY_LIBRARY -DFLAC__HAS_OGG
# LOCAL_CFLAGS += -DHAVE_CONFIG_H -DFLAC__NO_MD5 -DFLAC__INTEGER_ONLY_LIBRARY
# LOCAL_CFLAGS += -D_REENTRANT -DPIC -DU_COMMON_IMPLEMENTATION -fPIC
# LOCAL_CFLAGS += -O3 -funroll-loops -finline-functions

LOCAL_LDLIBS += -lm
LOCAL_ARM_MODE := arm
LOCAL_MODULE := libFLAC
LOCAL_STATIC_LIBRARIES :=  libogg
include $(BUILD_STATIC_LIBRARY)





include $(CLEAR_VARS)
LOCAL_MODULE := ape
LOCAL_SRC_FILES +=  ape/crc.c ape/predictor.c ape/predictor-arm.S ape/entropy.c ape/ape_decoder.c ape/parser.c \
	ape/filter_1280_15.c ape/filter_16_11.c ape/filter_256_13.c ape/filter_32_10.c ape/filter_64_11.c
LOCAL_CFLAGS += -O3 -Wall -DBUILD_STANDALONE -DCPU_ARM -fPIC  -DARM_ARCH=5 \
-UDEBUG -DNDEBUG -fomit-frame-pointer -ffreestanding  
# -DDBG_TIME
# won't build with:
# -finline-functions

LOCAL_ARM_MODE := arm
include $(BUILD_STATIC_LIBRARY)